module.exports = function(grunt) {

    // Project configuration.
    // Task configuration goes here.
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),
        less: {
            options: {
                paths: ['src/kasu/static/less'],
                compress: false,
                optimization:9,
                ieCompat: false,
            },
            kasu: {
                src:  'src/kasu/static/less/kasu.less',
                dest: 'src/kasu/static/css/kasu.css',
            }
        },
        more_css: {
            options: {
                report: 'min'
            },
            kasu: {
                src:  'static/css/kasu.css',
                dest: 'static/css/kasu.css'
            }
        }, 
        watch: {
            styles: {
                files: ['src/kasu/static/less/*.less'], // which files to watch
                tasks: ['less', 'more_css'],
                options: {nospawn: true}
            }
        },
    });

    // Load plugins here.
    grunt.loadNpmTasks('grunt-contrib-less');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-more-css');

    // Register tasks here.
    grunt.registerTask('default', ['less', 'more_css']);
};
